package eu.eudat.logic.proxy.config;


import eu.eudat.logic.proxy.config.entities.*;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

@XmlRootElement
public class ExternalUrls implements Serializable {

    private static final long serialVersionUID = -5076364662014107275L;

    Long maxresults;

    GrantUrls grants;
    ProjectUrls projects;
    RegistryUrls registries;
    RepositoryUrls repositories;
    ServiceUrls services;
    ResearcherUrls researchers;
    OrganisationUrls organisations;
    DatasetUrls datasets;
    /*TagUrls tags;*/
    FunderUrls funders;
    LicenseUrls licenses;


    public RegistryUrls getRegistries() {
        return registries;
    }

    @XmlElement(name = "registries")
    public void setRegistries(RegistryUrls registries) {
        this.registries = registries;
    }


    public RepositoryUrls getRepositories() {
        return repositories;
    }

    @XmlElement(name = "repositories")
    public void setRepositories(RepositoryUrls repositories) {
        this.repositories = repositories;
    }


    public ServiceUrls getServices() {
        return services;
    }

    @XmlElement(name = "services")
    public void setServices(ServiceUrls services) {
        this.services = services;
    }


    public ResearcherUrls getResearchers() {
        return researchers;
    }

    @XmlElement(name = "researchers")
    public void setResearchers(ResearcherUrls researchers) {
        this.researchers = researchers;
    }


    /*public TagUrls getTags() {
        return tags;
    }

    @XmlElement(name = "tags")
    public void setTags(TagUrls tags) {
        this.tags = tags;
    }*/


    public OrganisationUrls getOrganisations() {
        return organisations;
    }

    @XmlElement(name = "organisations")
    public void setOrganisations(OrganisationUrls organisations) {
        this.organisations = organisations;
    }


    public GrantUrls getGrants() {
        return grants;
    }

    @XmlElement(name = "grants")
    public void setGrants(GrantUrls grants) {
        this.grants = grants;
    }


    public ProjectUrls getProjects() {
        return projects;
    }

    @XmlElement(name = "projects")
    public void setProjects(ProjectUrls projects) {
        this.projects = projects;
    }


    public FunderUrls getFunders() {
        return funders;
    }

    public void setFunders(FunderUrls funders) {
        this.funders = funders;
    }


    public Long getMaxresults() {
        return maxresults;
    }

    @XmlElement(name = "maxresults")
    public void setMaxresults(Long maxresults) {
        this.maxresults = maxresults;
    }


    public DatasetUrls getDatasets() {
        return datasets;
    }

    @XmlElement(name = "datasets")
    public void setDatasets(DatasetUrls datasets) {
        this.datasets = datasets;
    }

    public LicenseUrls getLicenses() {
        return licenses;
    }

    @XmlElement(name = "licenses")
    public void setLicenses(LicenseUrls licenses) {
        this.licenses = licenses;
    }
}


